Skip to main content
GET
/
api
/
v1
/
agents
List all agents (v1 shape)
curl --request GET \
  --url https://forge.gloo.ai/api/v1/agents \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "id": "<string>",
      "agentId": "<string>",
      "name": "<string>",
      "description": "<string>",
      "status": "<string>",
      "model": "<string>",
      "skills": [
        "<string>"
      ],
      "tags": [
        "<string>"
      ],
      "createdAt": 123,
      "updatedAt": 123
    }
  ],
  "meta": {
    "requestId": "<string>",
    "hasMore": true,
    "nextCursor": "<string>"
  }
}

Authorizations

Authorization
string
header
required

API key from /api/v1/keys. Pass as Authorization: Bearer <key>.

Query Parameters

status
string

Filter by agent status

Response

200 - application/json

Agent list

data
object[]
meta
object